[Overview][Constants][Procedures and functions][Index] | Reference for unit 'dateutils' (#rtl)

# EndOfTheYear

Calculate a DateTime value representing the last day of a year, given a date in that year.

## Declaration

Source position: dateutil.inc line 135

`function EndOfTheYear(`
`const AValue: TDateTime`
`):TDateTime;`

## Arguments

`AValue` |  | Date in the year of which the end should be calculated

## Function result

DateTime value representing the end of the year in which AValue falls.

## Description

EndOfTheYear extracts the year part of AValue and returns a TDateTime value with the date of the last day of that year (December 31), as the EndOfAYear function.

## See also

StartOfAYear |  | Return the first day of a given year.
StartOfTheYear |  | Return the first day of the year, given a date in this year.
EndOfTheMonth |  | Calculate a DateTime value representing the last day of the month, given a day in that month.
EndOfAMonth |  | Calculate a datetime value representing the last day of the indicated month
StartOfAWeek |  | Return a day of the week, given a year, week and day in the week.
StartOfTheWeek |  | Return the first day of the week, given a date.
EndOfAYear |  | Calculate a DateTime value representing the last day of a year

## Example

    Program Example25;

    { This program demonstrates the EndOfTheYear function }

    Uses SysUtils,DateUtils;

    Const
      Fmt = '"Last day of this year : "dd mmmm yyyy';

    Begin
      Writeln(FormatDateTime(Fmt,EndOfTheYear(Today)));
    End.

Documentation generated on: Feb 26 2014